const Role = require("../models/role.model");
var User = require("../models/user");

var allAccess = (req, res) => {
	res.send(
		"Pokud chcete přístup k obsahu na této stránce, tak se prosím přihlašte.",
	);
};

var userBoard = (req, res) => {
	res.send("Vítejte na svém účtě!");
};

var adminBoard = async (req, res) => {
	try {
		const adminRole = await Role.findOne({ name: "admin" });

		if (!adminRole) {
			return res.send({ message: "Admin role nenalezena" });
		}

		const adminUsers = await User.find({ roles: adminRole._id });
		res.send(adminUsers);
	} catch (error) {
		res.send({ error: error.message });
	}
};

module.exports = {
	allAccess,
	userBoard,
	adminBoard,
};
